openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michele Denber <mden...@gmx.com>
Subject OO configure fails: Possible unintended interpolation of @ENABLE
Date Fri, 14 Jun 2019 18:29:16 GMT
While doing ./configure, it ends with the following:

    |...
    configure: creating ./config.status
    config.status: creating set_soenv
    config.status: creating Makefile
    Possible unintended interpolation of @ENABLE_CUPS in string at
    ./set_soenv line 1788.
    Global symbol "@ENABLE_CUPS" requires explicit package name at
    ./set_soenv line 1788.
    Execution of ./set_soenv aborted due to compilation errors.
    # |

There is no "ENABLE_CUPS" env var set.

My command is:

    |./configure
    --with-dmake-url=http://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
    --with-epm-url=http://epm.sourcearchive.com/downloads/3.7-1/epm_3.7.orig.tar.gz
    --disable-odk  --with-gnu-patch=/opt/csw/bin/gpatch \
    --with-gnu-cp=/opt/csw/bin/gcp --without-junit|

The line in set_soenv it's complaining about is:

    |ToFile( "ENABLE_CUPS",       "@ENABLE_CUPS@",       "e" );|


I've been unable to find anything useful searching for this error.
Adding "--disable-cups" to the configure command didn't fix the error.
Doing /usr/xpg4/bin/sh ./configure didn't fix it either.  I do have the
CSWcups package installed.

Any help would be appreciated.

Building Open Office 4.1.3 with gnu and OpenCSW toolchain, gcc 7.3 on a
Sun M3000 Sparc VII, Solaris 10U13.  I was able to build OO 3.4 on this
machine, but this one isn't cooperating.  Or is there already a
pre-built 4.1.3 Solaris package somewhere?

             - Michele


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message